Page MenuHomePhabricator

LiquidThreads does not truncate comments: Data too long for column 'th_change_comment'
Closed, ResolvedPublic

Description

Example thread where replying fails: https://translatewiki.net/w/i.php?title=Thread:Support/_iso_639-3_iso_639-3_%E2%80%93_iso_639-3_request_for_Sylheti_language_%26_keyboard_on_translatewiki_(2)

2016-01-24 21:37:28 translatewiki.net translatewiki_net-bw_: [2f332579] /w/api.php   DBQueryError from line 927 of /srv/mediawiki/tags/2016-01-23_21:05:53/includes/db/Database.php: A database error has occurred. Did you forget to run maintenance/update.php after upgrading?  See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: INSERT  INTO `bw_thread_history` (th_id,th_thread,th_timestamp,th_user,th_user_text,th_change_type,th_change_object,th_change_comment,th_content) VALUES (NULL,'48027','20160124213728','19154','MtDu','1','49681','Reply to [[Thread:Support/About MediaWiki:Smw-editpage-annotation-enabled/en and MediaWiki:Smw-editpage-property-annotation-enabled/en/reply|About [[MediaWiki:Smw-editpage-annotation-enabled/en]] and [[MediaWiki:Smw-editpage-property-annotation-enabled/en]]]]','O:6:\"Thread\":26:{s:9:\"\0*\0rootId\";s:7:\"4445834\";s:12:\"\0*\0articleId\";s:7:\"1513406\";s:12:\"\0*\0summaryId\";s:7:\"4479603\";s:13:\"\0*\0ancestorId\";s:1:\"0\";s:11:\"\0*\0parentId\";N;s:14:\"\0*\0superthread\";N;s:11:\"\0*\0ancestor\";r:1;s:19:\"\0*\0articleNamespace\";s:4:\"1103\";s:15:\"\0*\0articleTitle\";s:9:\"MediaWiki\";s:11:\"\0*\0modified\";s:14:\"20160124213728\";s:10:\"\0*\0created\";s:14:\"20150731224529\";s:10:\"\0*\0sortkey\";s:14:\"20160124213728\";s:5:\"\0*\0id\";s:5:\"48027\";s:7:\"\0*\0type\";s:1:\"0\";s:10:\"\0*\0subject\";s:116:\"About [[MediaWiki:Smw-editpage-annotation-enabled/en]] and [[MediaWiki:Smw-editpage-property-annotation-enabled/en]]\";s:11:\"\0*\0authorId\";s:5:\"15550\";s:13:\"\0*\0authorName\";s:6:\"Macofe\";s:12:\"\0*\0signature\";s:50:\"[[User:Macofe|Macofe]] ([[User talk:Macofe|talk]])\";s:16:\"\0*\0allDataLoaded\";N;s:15:\"\0*\0isHistorical\";b:0;s:15:\"\0*\0rootRevision\";N;s:10:\"editedness\";s:1:\"1\";s:10:\"\0*\0editors\";N;s:10:\"\0*\0replies\";a:1:{i:48818;O:6:\"Thread\":26:{s:9:\"\0*\0rootId\";s:7:\"4485220\";s:12:\"\0*\0articleId\";s:7:\"1513406\";s:12:\"\0*\0summaryId\";N;s:13:\"\0*\0ancestorId\";s:5:\"48027\";s:11:\"\0*\0parentId\";s:5:\"48027\";s:14:\"\0*\0superthread\";r:1;s:11:\"\0*\0ancestor\";r:1;s:19:\"\0*\0articleNamespace\";s:4:\"1103\";s:15:\"\0*\0articleTitle\";s:9:\"MediaWiki\";s:11:\"\0*\0modified\";s:14:\"20160124213728\";s:10:\"\0*\0created\";s:14:\"20150904221100\";s:10:\"\0*\0sortkey\";s:14:\"20160124213728\";s:5:\"\0*\0id\";s:5:\"48818\";s:7:\"\0*\0type\";s:1:\"0\";s:10:\"\0*\0subject\";s:116:\"About [[MediaWiki:Smw-editpage-annotation-enabled/en]] and [[MediaWiki:Smw-editpage-property-annotation-enabled/en]]\";s:11:\"\0*\0authorId\";s:4:\"2690\";s:13:\"\0*\0authorName\";s:6:\"Kghbln\";s:12:\"\0*\0signature\";s:67:\"[[User:Kghbln|[[kgh]]]] ([[User talk:Kghbln|talk]])\";s:16:\"\0*\0allDataLoaded\";N;s:15:\"\0*\0isHistorical\";b:0;s:15:\"\0*\0rootRevision\";N;s:10:\"editedness\";i:1;s:10:\"\0*\0editors\";N;s:10:\"\0*\0replies\";a:1:{i:49681;O:6:\"Thread\":26:{s:9:\"\0*\0rootId\";i:4618836;s:12:\"\0*\0articleId\";i:1513406;s:12:\"\0*\0summaryId\";N;s:13:\"\0*\0ancestorId\";s:5:\"48027\";s:11:\"\0*\0parentId\";s:5:\"48818\";s:14:\"\0*\0superthread\";r:26;s:11:\"\0*\0ancestor\";r:1;s:19:\"\0*\0articleNamespace\";i:1103;s:15:\"\0*\0articleTitle\";s:9:\"MediaWiki\";s:11:\"\0*\0modified\";s:14:\"20160124213728\";s:10:\"\0*\0created\";s:14:\"20160124213728\";s:10:\"\0*\0sortkey\";s:14:\"20160124213728\";s:5:\"\0*\0id\";i:49681;s:7:\"\0*\0type\";i:0;s:10:\"\0*\0subject\";s:116:\"About [[MediaWiki:Smw-editpage-annotation-enabled/en]] and [[MediaWiki:Smw-editpage-property-annotation-enabled/en]]\";s:11:\"\0*\0authorId\";i:19154;s:13:\"\0*\0authorName\";s:4:\"MtDu\";s:12:\"\0*\0signature\";s:44:\"[[User:MtDu|MtDu]] ([[User talk:MtDu|talk]])\";s:16:\"\0*\0allDataLoaded\";N;s:15:\"\0*\0isHistorical\";b:0;s:15:\"\0*\0rootRevision\";N;s:10:\"editedness\";i:0;s:10:\"\0*\0editors\";N;s:10:\"\0*\0replies\";a:0:{}s:12:\"\0*\0reactions\";N;s:10:\"replyCount\";i:0;}}s:12:\"\0*\0reactions\";N;s:10:\"replyCount\";i:1;}}s:12:\"\0*\0reactions\";N;s:10:\"replyCount\";i:2;}')
Function: ThreadRevision::insert
Error: 1406 Data too long for column 'th_change_comment' at row 1 (127.0.0.1:3306)

#0 /srv/mediawiki/tags/2016-01-23_21:05:53/includes/db/Database.php(894): DatabaseBase->reportQueryError(string, integer, string, string, boolean)
#1 /srv/mediawiki/tags/2016-01-23_21:05:53/includes/db/Database.php(1454): DatabaseBase->query(string, string)
#2 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/classes/ThreadRevision.php(99): DatabaseBase->insert(string, array, string)
#3 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/classes/ThreadRevision.php(88): ThreadRevision->insert()
#4 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/classes/Thread.php(188): ThreadRevision::create(Thread, integer, Thread, string)
#5 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/classes/Thread.php(102): Thread->commitRevision(integer, Thread, string, boolean)
#6 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/classes/View.php(975): Thread::create(Article, Article, Thread, integer, string, string, boolean, string)
#7 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/api/ApiThreadAction.php(582): LqtView::replyMetadataUpdates(array)
#8 /srv/mediawiki/tags/2016-01-23_21:05:53/extensions/LiquidThreads/api/ApiThreadAction.php(55): ApiThreadAction->actionReply(array, array)
#9 /srv/mediawiki/tags/2016-01-23_21:05:53/includes/api/ApiMain.php(1275): ApiThreadAction->execute()
#10 /srv/mediawiki/tags/2016-01-23_21:05:53/includes/api/ApiMain.php(427): ApiMain->executeAction()
#11 /srv/mediawiki/tags/2016-01-23_21:05:53/includes/api/ApiMain.php(399): ApiMain->executeActionWithErrorHandling()
#12 /srv/mediawiki/tags/2016-01-22_14:47:58/api.php(83): ApiMain->execute()
#13 {main}

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 6:25 AM
Jdforrester-WMF triaged this task as Lowest priority.Aug 4 2016, 11:33 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Nikerabbit raised the priority of this task from Lowest to Unbreak Now!.

I need to reply in a thread and this prevents me from doing that.

Restricted Application added subscribers: Luke081515, TerraCodes. · View Herald Transcript
Nemo_bis updated the task description. (Show Details)Aug 24 2016, 11:20 AM
Nemo_bis added a subscriber: Nemo_bis.

Change 306420 had a related patch set uploaded (by Nikerabbit):
Truncate change comments to avoid database errors

https://gerrit.wikimedia.org/r/306420

Change 306420 merged by jenkins-bot:
Truncate change comments to avoid database errors

https://gerrit.wikimedia.org/r/306420

Nikerabbit closed this task as Resolved.Aug 25 2016, 1:13 PM
Restricted Application added a subscriber: Jay8g. · View Herald TranscriptAug 30 2016, 7:06 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptThu, Sep 26, 1:53 PM